Environment configuration does not contain “environmentSource” entry

The solution is  :

open angular-cli.json
find-
“environments”: {
“source”: “environments/environment.ts”,
“dev”: “environments/environment.ts”,
“prod”: “environments/environment.prod.ts”
}

and replace with:
“environmentSource”: “environments/environment.ts”,
“environments”: {
“dev”: “environments/environment.ts”,
“prod”: “environments/environment.prod.ts”
}

Version of @angular/compiler-cli needs to be 2.3.1 or greater. Current version is “undefined

solution :

This version of CLI is only compatible with angular version 2.3.1 or better. Please
upgrade your angular version, e.g. by running:

 

npm install @angular/common@latest
npm install @angular/compiler@latest
npm install @angular/core@latest
npm install @angular/forms@latest
npm install @angular/http@latest
npm install @angular/platform-browser@latest
npm install @angular/platform-browser-dynamic@latest
npm install @angular/router@latest
npm install @angular/compiler-cli@latest

How to install WPS office in ubuntu

WPS Office looks just like MS Office. And it works fine in Ubuntu.

Get the deb package from here: http://wps-community.org/. Then open a Terminal window and type: sudo apt-get install gdebi. After gdebi is installed, close the Terminal, right-click on wps office deb file and choose open with gdebi. Wait for the installation to finish and that’s it. And yes, it is free for linux, despite of what some ‘wiseshots’ may think.

@angular/compiler-cli” package was not properly installed. Error: Error: Cannot find module ‘@angular/compiler-cli

Problem:
========
If we are clone a project from git.then if we use ng serve .
we are getting error :
@angular/compiler-cli” package was not properly installed. Error: Error: Cannot find module ‘@angular/compiler-cli

Solution:
=========
Create a angular project using – ng new <project name>
then ng serve

 

Your application will run successfully